Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.hibernate.hql.ast.tree
Class SqlNode

    java.lang.Object
      antlr.BaseAST
          antlr.CommonAST
              org.hibernate.hql.ast.tree.Node
                  org.hibernate.hql.ast.tree.SqlNode

All Implemented Interfaces:
  antlr.collections.AST, Serializable

Direct Known Subclasses:
  BetweenOperatorNode, HqlSqlWalkerNode, UnaryLogicOperatorNode

    public class SqlNode

extends Node

A base AST node for the intermediate tree. User: josh Date: Dec 6, 2003 Time: 10:29:14 AM

See Also:
  Serialized Form

Field Summary

Fields inherited from class antlr.BaseAST
`down, right`

Constructor Summary
`SqlNode()`

Method Summary
`Type` | `getDataType()`
`String` | `getOriginalText()`
`void` | `setDataType(Type dataType)`
`void` | `setText(String s)`

Methods inherited from class org.hibernate.hql.ast.tree.Node
`getColumn, getFilename, getLine, getRenderText, getTextLength, initialize, initialize`

Methods inherited from class antlr.CommonAST
`getText, getType, initialize, setType`

Methods inherited from class antlr.BaseAST
`addChild, decode, encode, equals, equalsList, equalsListPartial, equalsTree, equalsTreePartial, findAll, findAllPartial, getFirstChild, getNextSibling, getNumberOfChildren, getTokenNames, removeChildren, setFirstChild, setNextSibling, setVerboseStringConversion, toString, toStringList, toStringTree, xmlSerialize, xmlSerializeNode, xmlSerializeRootClose, xmlSerializeRootOpen`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### SqlNode

    public SqlNode()

Method Detail

### setText

    public void setText(String s)

  Specified by:
    `setText` in interface `antlr.collections.AST`
  Overrides:
    `setText` in class `antlr.CommonAST`

### getOriginalText

    public String getOriginalText()

### getDataType

    public Type getDataType()

### setDataType

    public void setDataType(Type dataType)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD